Bug 6268 - [UPDATE REQUEST] shim-0.9-1
: [UPDATE REQUEST] shim-0.9-1
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-10 02:15 MSD by Konstantin Vlasov
Modified: 2015-11-30 22:20 MSK (History)
2 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrey.bondrov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Konstantin Vlasov 2015-10-10 02:15:46 MSD
Shim was updated.
Comment 1 Konstantin Vlasov 2015-10-10 02:36:38 MSD
shim:
https://abf.rosalinux.ru/build_lists/2584739
https://abf.rosalinux.ru/build_lists/2584740

shim-unsigned:
https://abf.io/build_lists/2584726
https://abf.io/build_lists/2584727

Advisory:
1. Shim updated to version 0.9.
2. Added 32-bit version of shim to allow custom-built 32-bit UEFI images support Secure Boot.

How to test:
1. Get a machine with Secure Boot enabled, update shim.
2. Check that ROSA Grub2 can still be loaded correctly.
3. Rename /boot/efi/EFI/rosa/grubx64.efi into something like grubx64.efi.bak (keep in mind that you might need to use another bootable device like USB flash disk to restore it after the test).
4. Reboot and try to boot the "rosa" EFI entry.
5. Since there is no Grub, MokManager must start instead and display the simple text-based menu of management the trusted files/certificates database.

shim-unsigned does not require testing, it is an intermediate package for building shim from source before sending to Microsoft for signing. It cannot be installed together with shim, and this is normal, they have conflicts.
Comment 2 Vladimir Potapov 2015-11-19 13:49:33 MSK
Please, re-create containers
Comment 4 Vladimir Potapov 2015-11-25 07:58:31 MSK
The update is sent to expanded testing
**************************************
Comment 5 Vladimir Potapov 2015-11-30 15:59:24 MSK
shim-0.9-1
https://abf.rosalinux.ru/build_lists/2599674
https://abf.rosalinux.ru/build_lists/2599675

shim-unsigned-0.9-1
https://abf.io/build_lists/2599678
https://abf.io/build_lists/2599679
************************* Advisory **********************************
1. Shim updated to version 0.9.
2. Added 32-bit version of shim to allow custom-built 32-bit UEFI images support Secure Boot.
*********************************************************************
QA Verified